#include <bits/stdc++.h>

using namespace std;
void RESI(int A[],int K,int X,int N){
    for (int i=X,j=0;i<N;i++,j+=X){
        if (j>K-X){
            A[i]=X+K-j;
        }
        else A[i]=2*X;
    }}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    int N,X,K,i;
    cin>>N>>K>>X;
    int A[N];
    if (K==3){
        if (N==K)for (i=0;i<3;i++)A[i]=i+1;
        else {for (i=0;i<3;i++)A[i]=1;
        A[3]=1+X;
        for (i=4;i<N;i++)A[i]=2;
    }}

    else {
    for (i=0;i<X;i++)A[i]=i+1;
    RESI (A,K,X,N);
    }
    for (i=0;i<N;i++)cout<<A[i]<<" ";
    return 0;
}